Subject: bug#41002: Undo breaks inhibit-read-only text property

From: Serhii Mozghovyi <[email-masked]>
Date: Fri, 1 May 2020 13:38:24 +0300

The inhibit-read-only text property in a read-only buffer does not work
with Undo:

C-x b <unique buffer name>, then insert some text, such as:

---

First paragraph.

Second paragraph.

---

Then M-: (put-text-property (point-min) (point-max) 'inhibit-read-only
t), and C-x C-q to make the buffer read-only. Now select the "Se" and
kill it with C-w: it succeeds. Then hit C-/ to undo, select "Sec" and
try to kill again. Now it fails. For any other region that does not
intersect with "Se", killing works.